/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/
package org.skunk.assertF;

import java.text.MessageFormat;

public class Assertion extends RuntimeException
{
    /* CHANGE THIS TO BUILD WITHOUT ASSERTIONS */
    public static final boolean ASSERT=true;

    public static void assertF(boolean b)
    {
	if (!b) throw new Assertion();
    }

    public static void assertF(boolean b, String message)
    {
	if (!b) throw new Assertion(message);
    }

    public static void assertF(boolean b, String formattedMessage, Object interpolations)
    {
	if (!b) 
	{
	    Object[] interArray=(interpolations instanceof Object[])
		? (Object[]) interpolations
		: new Object[] { interpolations };
	    String message=MessageFormat.format(formattedMessage, interArray);
	    throw new Assertion(message);
	}
    }

    public Assertion()
    {
	super();
    }

    public Assertion(String message)
    {
	super("assertion \""+message+"\" failed");
    }
}

/* $Log: Assertion.java,v $
/* Revision 1.7  2001/02/02 23:30:32  smulloni
/* adding customization features to the text editor.
/*
/* Revision 1.6  2000/12/19 22:37:05  smulloni
/* adjustments to preamble
/*
/* Revision 1.5  2000/12/03 23:53:24  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.4  2000/11/09 23:34:45  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
