package org.skunk.config;

import java.util.HashMap;
import java.util.Iterator;

public class InMemoryConfigStore implements ConfigStore
{
    private HashMap configMap;

    public InMemoryConfigStore()
    {
	configMap=new HashMap();
    }

    protected HashMap getConfigMap()
    {
	return configMap;
    }

    protected void setConfigMap(HashMap configMap)
    {
	this.configMap=configMap;
    }

    public Object getConfigValue(Class configClass, String configProperty)
    {
	if (!configMap.containsKey(configClass))
	    return null;	
	HashMap classMap=(HashMap) configMap.get(configClass);
	if (classMap.containsKey(configProperty))
	{
	    return classMap.get(configProperty);
	}
	return null;	
    }

    public Iterator registeredClasses()
    {
	return configMap.keySet().iterator();
    }

    public boolean isRegistered(Class configClass)
    {
	return configMap.containsKey(configClass);
    }

    public void unregister(Class configClass)
    {
	if (configMap.containsKey(configClass))
	{
	    configMap.remove(configClass);
	}
    }

    public void setConfigValue(Class configClass, String configProperty, Object configValue)
    {
	HashMap classMap;
	if (!configMap.containsKey(configClass))
	{
	    classMap=new HashMap();
	    configMap.put(configClass, classMap);
	}
	else classMap=(HashMap) configMap.get(configClass);
	classMap.put(configProperty, configValue);
    }

    
}

/* $Log: InMemoryConfigStore.java,v $
/* Revision 1.4  2001/02/02 23:30:33  smulloni
/* adding customization features to the text editor.
/*
/* Revision 1.3  2000/11/09 23:34:46  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
