package org.skunk.config;

import java.beans.PropertyDescriptor;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.HashMap;
import org.skunk.trace.Debug;

/**
 *  a simple implementation of ConfigStore that stores 
 *  config data in a serialized object in the filesystem.
 *  this imposes the restriction, naturally, that properties be
 *  serializable.  
 */
public class LocalConfigStore extends InMemoryConfigStore
{
    String filename;

    public LocalConfigStore(String filename)
    {
	super();

	//recover configMap
	this.filename=filename;
	File f=new File(filename);
	if (f.exists())
	{
	    try
	    {
		load();
	    }
	    catch (Exception e)
	    {
		if (Debug.DEBUG) Debug.trace(this, Debug.DP3, e);
	    }
	}
    }


    private void load() throws IOException, ClassNotFoundException
    {
	FileInputStream fizz=new FileInputStream(filename);
	BufferedInputStream biss=new BufferedInputStream(fizz);
	ObjectInputStream oyster=new ObjectInputStream(biss);
	setConfigMap((HashMap) oyster.readObject());
	if (Debug.DEBUG) Debug.trace(this, Debug.DP4, "config map is {0}", getConfigMap());
	oyster.close();
    }

    private void save() throws IOException
    {
	FileOutputStream foster=new FileOutputStream(filename);
	BufferedOutputStream buster=new BufferedOutputStream(foster);
	ObjectOutputStream ouster=new ObjectOutputStream(buster);
	ouster.writeObject(getConfigMap());
	ouster.close();
	if (Debug.DEBUG) Debug.trace(this, Debug.DP3, "saving configMap");
    }

    public void setConfigValue(Class configClass, 
			String propertyName, 
			Object configValue)
    {
	super.setConfigValue(configClass, propertyName, configValue);
	try
	{
	    save();
	}
	catch (IOException oyVeh)
	{
	    if (Debug.DEBUG) Debug.trace(this, Debug.DP3, oyVeh);
	}
    }
}

/* $Log: LocalConfigStore.java,v $
/* Revision 1.4  2001/02/06 00:11:18  smulloni
/* struggle, perhaps futile, with the TextEditorCustomizer and other implicated
/* classes
/*
/* Revision 1.3  2000/11/09 23:34:46  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
