/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client;

import java.net.Authenticator;
import java.net.PasswordAuthentication;

/**
 * a trivial subclass of Authenticator which grants access to its PasswordAuthentication member
 */
public abstract class DAVAuthenticator extends Authenticator
{
    /** 
     * returns the PasswordAuthentication member of this Authenticator
     * @return the Authenticator's PasswordAuthentication member
     */
    public final PasswordAuthentication getPA()
    {
	return getPasswordAuthentication();
    }

    public abstract void reset();
}

/* $Log: DAVAuthenticator.java,v $
/* Revision 1.6  2001/05/30 03:49:35  smulloni
/* Some bug fixes and improvements to authentication handling.  Users are now
/* prompted for a password the first time they connect to a given server
/* in a session; if the password is rejected, they are asked again.
/* Users also now have the option of whether a given password will be remembered
/* or not.
/*
/* Revision 1.5  2001/01/03 22:51:53  smulloni
/* added documentation
/*
/* Revision 1.4  2000/12/19 22:06:15  smulloni
/* adding documentation.
/*
/* Revision 1.3  2000/12/03 23:53:25  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.2  2000/11/09 23:34:47  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
