/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/


package org.skunk.dav.client;

/**
 * Object wrapper for the various DAV methods.
 */
public class DAVMethodName
{
    private String methodName;
    private boolean isExtension;

    public static final DAVMethodName GET =new DAVMethodName(DAVConstants.GET_METHOD, false);
    public static final DAVMethodName POST =new DAVMethodName(DAVConstants.POST_METHOD, false);
    public static final DAVMethodName HEAD =new DAVMethodName(DAVConstants.HEAD_METHOD, false);
    public static final DAVMethodName PUT =new DAVMethodName(DAVConstants.PUT_METHOD, false);
    public static final DAVMethodName DELETE =new DAVMethodName(DAVConstants.DELETE_METHOD, false);
    public static final DAVMethodName OPTIONS =new DAVMethodName(DAVConstants.OPTIONS_METHOD, false);
    public static final DAVMethodName TRACE =new DAVMethodName(DAVConstants.TRACE_METHOD, false);
    //DAV extension methods
    public static final DAVMethodName MOVE =new DAVMethodName(DAVConstants.MOVE_METHOD, true);
    public static final DAVMethodName MKCOL =new DAVMethodName(DAVConstants.MKCOL_METHOD, true);
    public static final DAVMethodName PROPFIND =new DAVMethodName(DAVConstants.PROPFIND_METHOD, true);
    public static final DAVMethodName PROPPATCH =new DAVMethodName(DAVConstants.PROPPATCH_METHOD, true);
    public static final DAVMethodName COPY =new DAVMethodName(DAVConstants.COPY_METHOD, true);
    public static final DAVMethodName LOCK =new DAVMethodName(DAVConstants.LOCK_METHOD, true);
    public static final DAVMethodName UNLOCK =new DAVMethodName(DAVConstants.UNLOCK_METHOD, true);
    
    private DAVMethodName(String methodName, boolean isExtension)
    {
	this.methodName=methodName;
    }
    
    public String toString()
    {
	return methodName;
    }
    
    public boolean isExtensionMethod()
    {
	return isExtension;
    }
}

/* $Log: DAVMethodName.java,v $
/* Revision 1.6  2000/12/19 22:06:15  smulloni
/* adding documentation.
/*
/* Revision 1.5  2000/12/03 23:53:25  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.4  2000/11/09 23:34:51  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
