/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui;

import javax.swing.tree.DefaultTreeCellRenderer;

public class DAVTreeCellRenderer extends DefaultTreeCellRenderer
{
    public DAVTreeCellRenderer()
    {
	super();
	setOpenIcon(ResourceManager.getImageIcon(ResourceManager.OPEN_NODE_ICON));
	setClosedIcon(ResourceManager.getImageIcon(ResourceManager.CLOSED_NODE_ICON));
        setLeafIcon(ResourceManager.getImageIcon(ResourceManager.LEAF_NODE_ICON));
    }

    public String getToolTipText()
    {
	return getText();
    }
}

/* $Log: DAVTreeCellRenderer.java,v $
/* Revision 1.5  2000/12/19 22:36:05  smulloni
/* adjustments to preamble.
/*
/* Revision 1.4  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.3  2000/12/01 16:25:51  smullyan
/* improvements to look and feel; fixed NPE in DAVFile; new actions for text
/* editor
/*
/* Revision 1.2  2000/11/09 23:34:55  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
