/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;

public class DAVTreeSelectionListener implements TreeSelectionListener
{
    private DAVTableModel tableModel;
    private DAVTreeModel treeModel;

    public DAVTreeSelectionListener(DAVTreeModel treeModel, DAVTableModel tableModel)
    {
	this.treeModel=treeModel;
	this.tableModel=tableModel;
    }

    public void valueChanged(TreeSelectionEvent tse)
    {
	TreePath teepee=tse.getNewLeadSelectionPath();
	if (teepee!=null)
	{
	    Object pathComponent=teepee.getLastPathComponent();
	    if (pathComponent instanceof DAVTreeNode)
	    {
		DAVTreeNode currentNode=(DAVTreeNode)pathComponent;
		treeModel.testNode(currentNode);
		tableModel.setDAVFile(currentNode.getDAVFile());
	    }
	    else 
	    {
		tableModel.setDAVFile(null);
		//here should disable disconnect menu item
	    }
	}
    }


}

/* $Log: DAVTreeSelectionListener.java,v $
/* Revision 1.9  2000/12/19 22:36:05  smulloni
/* adjustments to preamble.
/*
/* Revision 1.8  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.7  2000/11/09 23:34:56  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
