/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui;

public class DockMode
{
    public static final DockMode TABBED_PANE_MODE=new DockMode("tabbedPane");
    public static final DockMode MDI_MODE=new DockMode("mdi");
    public static final DockMode EMACS_MODE=new DockMode("emacs");
    public static final DockMode MULTI_FRAME=new DockMode("multiframe");

    private String key;

    private DockMode(String key)
    {
	this.key=key;
    }

    public String toString()
    {
	return "DockMode/"+key;
    }

    public boolean equals(Object thing)
    {
	if (thing instanceof DockMode)
	    return toString().equals(thing.toString());
	return false;
    }

    public int hashCode()
    {
	return key.hashCode();
    }
}

    
