/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui;

import javax.swing.Icon;
import javax.swing.JTable;
import org.skunk.swing.IconCellRenderer;
import org.skunk.dav.client.Lock;

public class LockRenderer extends IconCellRenderer
{
    private Icon lockIcon;

    public LockRenderer()
    {
	super();
	lockIcon=ResourceManager.getImageIcon(ResourceManager.LOCK_ICON, null);
    }

    public Icon getIcon(JTable table, Object value,
			     boolean isSelected, 
			     boolean hasFocus,
			     int row, 
			     int column)
    {
	return (value != null && value instanceof Lock)
	    ? lockIcon
	    : null;
    }
}
/* $Log: LockRenderer.java,v $
/* Revision 1.9  2000/12/19 22:36:05  smulloni
/* adjustments to preamble.
/*
/* Revision 1.8  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.7  2000/11/14 23:16:45  smullyan
/* modified to accomodate change in interface: ImageIcon changed to Icon.
/*
/* Revision 1.6  2000/11/10 22:40:07  smullyan
/* added icon to table for resource type; fixes to copy and move; disabling of
/* menu items that are inappropriate.
/*
/* Revision 1.5  2000/11/09 23:34:58  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
