/*  $Id: ResourceManager.java,v 1.52 2001/07/22 07:04:24 smulloni Exp $
 *  Time-stamp: <01/07/22 01:32:47 smulloni>
 *
 *  Copyright (c) 2000 - 2001, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import javax.swing.ImageIcon;
import org.skunk.trace.Debug;

public class ResourceManager
{
    private static ResourceBundle bundle;
    //it's rather annoying that I didn't stick with a naming convention here.  Will have to clean this up. TO BE DONE.
    public static final String EXPLORER_RESOURCE_BUNDLE="org.skunk.dav.client.gui.explorer";
    public static final String EXPLORER_NAME="explorer_name";
    public static final String VIEW_KEY="view";
    public static final String CLOSE_KEY="close";
    public static final String EXIT_KEY="exit";
    public static final String FILE_KEY="file";
    public static final String HELP_KEY="help";
    public static final String EDIT_KEY="edit";
    public static final String OPEN_KEY="open";
    public static final String CONNECT_KEY="connect";
    public static final String SAVE_KEY="save";
    public static final String SAVE_AS_KEY="save_as";
    public static final String COPY_KEY="copy";
    public static final String MOVE_KEY="move";
    public static final String DELETE_KEY="delete";
    public static final String LOCK_KEY="lock";
    public static final String UNLOCK_KEY="unlock";
    public static final String VIEW_PROPERTIES_KEY="view_properties";
    public static final String PROPERTIES_KEY="properties";
    public static final String REFRESH_KEY="refresh";
    public static final String NEW_COLLECTION_KEY="new_collection";
    public static final String ABOUT_SPI_KEY="about_spi";
    public static final String LOGIN_KEY="login";
    public static final String LOGIN_NAME_KEY="login_name";
    public static final String PASSWORD_KEY="password";
    public static final String ADD_CONNECTION_TITLE="add_connection_title";
    public static final String ADD_CONNECTION_PROMPT="add_connection_prompt";
    public static final String ADD_NEW_CONNECTION_LABEL="add_new_connection_label";
    public static final String ADD_CONNECTION_LABEL="add_connection_label";
    public static final String REMOVE_CONNECTION_TITLE="remove_connection_title";
    public static final String REMOVE_CONNECTION_PROMPT="remove_connection_prompt";
    public static final String REMOVE_CONNECTION_LABEL="remove_connection_label";
    public static final String NEW_FILE_KEY="new_file";
    public static final String CONNECTION_PROMPT="connection_prompt";
    public static final String HOST_PROMPT="host_prompt";
    public static final String PORT_PROMPT="port_prompt";
    public static final String PATH_PROMPT="path_prompt";
    public static final String USERNAME_PROMPT="username_prompt";
    public static final String PASSWORD_PROMPT="password_prompt";
    public static final String REMEMBER_PASSWORD_PROMPT="remember_password_prompt";
    public static final String OK="ok";
    public static final String CANCEL="cancel";
    public static final String ROOT_NODE_LABEL="root_node_label";
    public static final String DISCONNECTION_KEY="disconnection";
    public static final String DISCONNECTION_ERROR_MESSAGE="disconnection_error_message";
    public static final String DISCONNECTION_ERROR_TITLE="disconnection_error_title";
    public static final String NEW_COLLECTION_PROMPT="new_collection_prompt";
    public static final String NEW_COLLECTION_DIALOG_TITLE="new_collection_dialog_title";
    public static final String ERROR_DIALOG_TITLE="error_dialog_title";
    public static final String NEW_COLLECTION_ERROR_MESSAGE="new_collection_error_message";
    public static final String STATUS_ERROR_MESSAGE="status_error_message";
    public static final String NEW_FILE_PROMPT="new_file_prompt";
    public static final String NEW_FILE_DIALOG_TITLE="new_file_dialog_title";
    public static final String CONNECTION_ERROR_MESSAGE="connection_error_message";
    public static final String DELETE_ERROR_MESSAGE="delete_error_message";
    public static final String COPY_DIALOG_MESSAGE="copy_dialog_message";
    public static final String COPY_DIALOG_TITLE="copy_dialog_title";
    public static final String MOVE_DIALOG_MESSAGE="move_dialog_message";
    public static final String MOVE_DIALOG_TITLE="move_dialog_title";
    public static final String INVALID_DESTINATION_ERROR_MESSAGE="invalid_destination_error_message";
    public static final String PROPERTIES_DIALOG_TITLE="properties_dialog_title";
    public static final String DAV_PROPERTIES_TAB_TITLE="dav_properties_tab_title";
    public static final String CUSTOM_PROPERTIES_TAB_TITLE="custom_properties_tab_title";
    public static final String HOST_FILE_PROP="host_file_prop";
    public static final String PORT_FILE_PROP="port_file_prop";
    public static final String FILE_NAME_FILE_PROP="file_name_file_prop";
    public static final String CREATION_DATE_FILE_PROP="creation_date_file_prop";
    public static final String LAST_MODIFIED_FILE_PROP="last_modified_file_prop";
    public static final String CONTENT_TYPE_FILE_PROP="content_type_file_prop";
    public static final String CONTENT_LENGTH_FILE_PROP="content_length_file_prop";
    public static final String CONTENT_LANGUAGE_FILE_PROP="content_language_file_prop";
    public static final String DISPLAY_NAME_FILE_PROP="display_name_file_prop";
    public static final String RESOURCE_TYPE_FILE_PROP="resource_type_file_prop";
    public static final String ETAG_FILE_PROP="etag_file_prop";
    public static final String SUPPORTED_LOCKS_FILE_PROP="supported_locks_file_prop";
    public static final String ACTIVE_LOCKS_FILE_PROP="active_locks_file_prop";
    public static final String LINKS_FILE_PROP="links_file_prop";
    public static final String NAME="name";
    public static final String NAMESPACE="namespace";
    public static final String VALUE="value";
    public static final String UPLOAD_KEY="upload";
    public static final String DOWNLOAD_KEY="download";
    public static final String DOWNLOAD_SUCCESS_MESSAGE="download_success_message";
    public static final String DOWNLOAD_SUCCESS_DIALOG_TITLE="download_success_dialog_title";
    public static final String UPLOAD_CHOOSER_DIALOG_TITLE="upload_chooser_dialog_title";
    public static final String DOWNLOAD_CHOOSER_DIALOG_TITLE="download_chooser_dialog_title";
    public static final String COPY_CHOOSER_DIALOG_TITLE="copy_chooser_dialog_title";
    public static final String MOVE_CHOOSER_DIALOG_TITLE="move_chooser_dialog_title";
    public static final String TRY="try";
    public static final String REVERT="revert";
    public static final String DEFAULT="default";
    public static final String PREFERENCES_KEY="preferences";
    public static final String TABLE_VIEW_CUSTOMIZER_BORDER_TITLE="table_view_customizer_border_title";
    public static final String TABLE_VIEW_CUSTOMIZER_TITLE="table_view_customizer_title";
    public static final String TABLE_VIEW_SOURCE_LIST_TITLE="table_view_source_list_title";
    public static final String TABLE_VIEW_SINK_LIST_TITLE="table_view_sink_list_title";
    public static final String RENAME_DIALOG_TITLE="rename_dialog_title";
    public static final String RENAME_DIALOG_MESSAGE="rename_dialog_message";
    public static final String RENAME_KEY="rename";
    public static final String PUT_NOT_ALLOWED_MESSAGE="put_not_allowed_message";
    public static final String STEAL_LOCK_KEY="steal_lock_key";
    public static final String ADD_KEY="add";
    public static final String PROPERTY_NAME="property_name";
    public static final String PROPERTY_VALUE="property_value";
    public static final String PROPERTY_NAMESPACE="property_namespace";
    public static final String PROPERTY_ADD_DIALOG_TITLE="property_add_dialog_title";
    public static final String PROPERTY_EDIT_DIALOG_TITLE="property_edit_dialog_title";
    public static final String CLOSE_BUFFER_KEY="close_buffer";
    public static final String CLOSE_DIRTY_BUFFER_WARNING="close_dirty_buffer_warning";
    public static final String UNDO_KEY="undo";
    public static final String REDO_KEY="redo";
    public static final String CUT_KEY="cut";
    public static final String COPY_TEXT_KEY="copy_text"; //to avoid collision with COPY_KEY, above
    public static final String PASTE_KEY="paste";
    public static final String SELECT_ALL_KEY="select_all";
    public static final String SEARCH_KEY="search";
    public static final String REPLACE_KEY="replace";
    public static final String GOTO_LINE_KEY="goto_line";
    public static final String LINE_AND_COLUMN="line_and_column";
    public static final String FIND_PROMPT="find_prompt";
    public static final String REVERSE_OPTION="reverse_option";
    public static final String LITERAL_OPTION="literal_option";
    public static final String CASE_OPTION="case_option";
    public static final String REGEXP_OPTION="regexp_option";
    public static final String INCREMENTAL_OPTION="incremental_option";
    public static final String WRAPPED_OPTION="wrapped_option";
    public static final String FIND_NEXT_OPTION="find_next_option";
    public static final String REPLACE_OPTION="replace_option";
    public static final String REPLACE_ALL_OPTION="replace_all_option";
    public static final String REPLACE_WITH_PROMPT="replace_with_prompt";
    public static final String SEARCH_FAILED_MESSAGE="search_failed_message";
    public static final String SEARCH_FAILED_TITLE="search_failed_title";
    public static final String GOTO_LINE_PROMPT="goto_line_prompt";
    public static final String IMAGE_DESCRIPTION="image_description";
    public static final String REPLACE_PROMPT="replace_prompt";
    public static final String REPLACE_TITLE="replace_title";
    public static final String END_REPLACE_TITLE="end_replace_title";
    public static final String END_REPLACE_MESSAGE="end_replace_message";
    public static final String WORD_WRAP_KEY="word_wrap";
    public static final String PROTOCOL_PROMPT="protocol_prompt";
    public static final String DIRTY_BUFFER_ON_EXIT_MESSAGE="dirty_buffer_on_exit_message";
    public static final String DIRTY_BUFFER_ON_EXIT_TITLE="dirty_buffer_on_exit_title";
    public static final String ABOUT_KEY="about";
    public static final String CONNECTION_DIALOG_TITLE="connection_dialog_title";
    public static final String CONNECTION_DIALOG_PROMPT="connection_dialog_prompt";
    public static final String CONNECTION_PARSE_ERROR_MESSAGE="connection_parse_error_message";
    public static final String CONNECT_PREVIOUS_KEY="connect_previous";
    public static final String NETWORK_CUSTOMIZER_TIMEOUT_TITLE="network_customizer_timeout_title";
    public static final String TIMEOUT_BORDER_TITLE="timeout_border_title";
    public static final String SERVER_BORDER_TITLE="server_border_title";
    public static final String NETWORK_CUSTOMIZER_TITLE="network_customizer_title";
    public static final String GLOBAL_PROPERTIES="global_properties";
    public static final String GLOBAL_BACKGROUND="global_background";
    public static final String GLOBAL_FOREGROUND="global_foreground";
    public static final String GLOBAL_CARET_COLOR="global_caret_color";
    public static final String FONT_NAME="font_name";
    public static final String FONT_SIZE="font_size";
    public static final String FILE_MODE_PROPERTIES="file_mode_properties";
    public static final String FILE_MODES="file_modes";
    public static final String EXTENSIONS="extensions";
    public static final String ADD_EXTENSION="add_extension";
    public static final String REMOVE_EXTENSION="remove_extension";
    public static final String HIGHLIGHT_THIS_MODE="highlight_this_mode";
    public static final String NEW_EXTENSION_DIALOG_TITLE="new_extension_dialog_title";
    public static final String NEW_EXTENSION_DIALOG_PROMPT="new_extension_dialog_prompt";
    public static final String SYNTAX_HIGHLIGHTING_STYLES="syntax_highlighting_styles";
    public static final String STYLE_PROPERTIES="style_properties";
    public static final String BOLD="bold";
    public static final String ITALIC="italic";
    public static final String COLOR="color";
    public static final String PREVIEW="preview";
    public static final String TAB_SIZE="tab_size";
    public static final String LINE_SEPARATOR="line_separator";
    public static final String CR_LINE_SEPARATOR="cr_line_separator";
    public static final String LF_LINE_SEPARATOR="lf_line_separator";
    public static final String CRLF_LINE_SEPARATOR="crlf_line_separator";
    public static final String TEXT_EDITOR_CUSTOMIZER_TITLE="text_editor_customizer_title";
    public static final String SYNTAX_HIGHLIGHT_KEY="syntax_highlight";
    public static final String TEXT_EDITOR_CUSTOMIZER_IO_EXCEPTION="text_editor_customizer_io_exception";
    public static final String LOCK_OWNER_PROMPT="lock_owner_prompt";
    public static final String LOCK_OWNER_DIALOG_TITLE="lock_owner_dialog_title";
    public static final String OWNER_PROMPT="owner_prompt";
    public static final String SERVERS_LABEL="servers_label";
    public static final String ADD_SERVER_LABEL="add_server_label";
    public static final String DEL_SERVER_LABEL="del_server_label";
    public static final String HTTPS_NOT_SUPPORTED_MESSAGE="https_not_supported_message";
    public static final String HTTPS_NOT_SUPPORTED_DIALOG_TITLE="https_not_supported_dialog_title";
    public static final String PORT_INVALID_MESSAGE="port_invalid_message";
    public static final String PORT_INVALID_TITLE="port_invalid_title";
    public static final String REMEMBER_PASSWORD_LABEL="remember_password_label";
    public static final String ADD_MESSAGE="add_message";
    public static final String REMOVE_MESSAGE="remove_message";
    public static final String RENAME_MESSAGE="rename_message";
    public static final String KEY="key";
    public static final String MESSAGE="message";
    public static final String NEW_MESSAGE_PROMPT="new_message_prompt";
    public static final String CANNOT_OPEN="cannot_open";
    public static final String RENAME_MESSAGE_PROMPT="rename_message_prompt";
    public static final String LOGIN_TITLE="login_title";
    public static final String LOGIN_MESSAGE="login_message";
    public static final String RELEASE_VERSION="release_version";

    /*
     * IMAGE RESOURCES
     */

    public static final String LOCK_ICON="lock.gif";
    public static final String NOLOCK_ICON="nolock.gif";
    public static final String FOLDER_ICON="dir_close.gif";
    public static final String OPEN_NODE_ICON="dir_open.gif";
    public static final String CLOSED_NODE_ICON="dir_close.gif";
    public static final String LEAF_NODE_ICON="dir_close.gif";
    public static final String EXPANDED_ICON="expanded.gif";
    public static final String COLLAPSED_ICON="collapsed.gif";
    public static final String SPLASH_SCREEN_ICON="splash.gif";
    public static final String SPLASH_SCREEN_TEXT="splash_screen_text";

    static
    {
	try
	{
	    bundle=ResourceBundle.getBundle(EXPLORER_RESOURCE_BUNDLE);
	}
	catch (MissingResourceException missOrEx)
	{
	    Debug.trace(ResourceManager.class, Debug.DP2, missOrEx);
	}
    }

    public static String getMessage(String key)
    {
	return (bundle==null) ? null : bundle.getString(key);
    }

    public static String getMessage(String key, int minimumLength)
    {
	return pad(getMessage(key),  minimumLength);
    }

    public static String getMessage(String key, String defaultMessage)
    {
	String message=getMessage(key);
	return (message==null) ? defaultMessage : message;
    }

    public static String getMessage(String key, String defaultMessage, int minimumLength)
    {
	return pad(getMessage(key, defaultMessage), minimumLength);
    }

    public static String getMessage(String key, Object[] interpolations)
    {
	String formattedMessage=getMessage(key);
	return MessageFormat.format(formattedMessage, interpolations);
    }

    public static String getMessage(String key, String defaultMessage, Object[] interpolations)
    {
	String formattedMessage=getMessage(key, defaultMessage);
	return MessageFormat.format(formattedMessage, interpolations);
    }

    public static String getMessage(String key, String defaultMessage, 
				    int minimumLength, Object[] interpolations)
    {
	return pad(getMessage(key, defaultMessage, interpolations), minimumLength);
    }

    public static String getMessage(String key, int minimumLength, Object[] interpolations)
    {
	return pad(getMessage(key, interpolations), minimumLength);
    }

    public static ImageIcon getImageIcon(String key, String descriptionKey)
    {
	String description=(descriptionKey==null) ? null : getMessage(descriptionKey, descriptionKey);
	ImageIcon ii=new ImageIcon(ResourceManager.class.getResource(findImageResource(key)));
	if (description!=null) ii.setDescription(description);
	return ii;
    }

    public static ImageIcon getImageIcon(String key)
    {
	return new ImageIcon(ResourceManager.class.getResource(findImageResource(key)));
    }

    public static String pad(String s, int length)
    {
	if (s==null) s="";
	int curlen=s.length();
	if (length<=curlen) return s;
	StringBuffer sb=new StringBuffer(length);
	int diff=length-curlen;
	char[] whitespace=new char[diff];
	for (int i=0;i<diff;i++)
	    whitespace[i]=' ';
	sb.append(s).append(whitespace);
	return sb.toString();
    }

    private static String findImageResource(String key)
    {
	return "/images/"+key;
    }
}

/* $Log: ResourceManager.java,v $
/* Revision 1.52  2001/07/22 07:04:24  smulloni
/* changed the handling of release number.
/*
/* Revision 1.51  2001/07/15 02:55:23  smulloni
/* fixed some strings in DAVAuthenticatorImpl which were hardcoded;
/* moved javadocs from /doc to /docs/api
/*
/* Revision 1.50  2001/07/11 02:15:01  smulloni
/* the previous spi build targets have been folded into the main build;
/* also added a javadoc target.
/*
/* Revision 1.49  2001/06/13 01:09:03  smulloni
/* Some improvements to the network customizer (which is still buggy).
/* Also improvements for using the doAllprop switch, and for the layout of
/* the PropertiesDialog.
/*
/* Revision 1.48  2001/06/09 03:09:09  smulloni
/* added server customization to the NetworkCustomizer.  Buggy.
/*
/* Revision 1.47  2001/05/31 02:14:37  smulloni
/* started draft of server configuration panel.
/*
/* Revision 1.46  2001/05/30 15:25:28  smulloni
/* Added prompt for lock owner the first time a resource is locked for a
/* given server -- default value is username, if any.
/*
/* Revision 1.45  2001/05/30 03:49:35  smulloni
/* Some bug fixes and improvements to authentication handling.  Users are now
/* prompted for a password the first time they connect to a given server
/* in a session; if the password is rejected, they are asked again.
/* Users also now have the option of whether a given password will be remembered
/* or not.
/*
/* Revision 1.44  2001/02/16 18:15:10  smulloni
/* many fixes to TextEditorCustomizer.  FileMode and SyntaxStyle now have a
/* configData property (they will probably be made into sibling classes).
/*
/* Revision 1.43  2001/02/06 22:13:40  smulloni
/* first more-or-less working version of syntax highlighting, with customization.
/*
/* Revision 1.42  2001/02/02 23:30:33  smulloni
/* adding customization features to the text editor.
/*
/* Revision 1.41  2001/01/23 20:50:09  smulloni
/* added configurable socket timeout
/*
/* Revision 1.40  2001/01/05 08:01:12  smulloni
/* changes to the connection gui for the Explorer; added depth configurability to
/* propfind in the jpython test script; added an experimental "allprop" system
/* property which affects the propfind query type
/*
/* Revision 1.39  2000/12/21 18:53:13  smulloni
/* cosmetic improvements.
/*
/* Revision 1.38  2000/12/19 22:06:15  smulloni
/* adding documentation.
/*
/* Revision 1.37  2000/12/19 20:17:54  smulloni
/* added an "About..." menu item.
/*
/* Revision 1.36  2000/12/19 19:22:22  smulloni
/* some tweaks: ExitAction now cleans up the app's buffers.  The app now does
/* not resize every time a buffer is added or removed.
/*
/* Revision 1.35  2000/12/18 23:22:47  smulloni
/* added optional SSL capability to the gui application.  Separate make targets
/* exist for building it will SSL support.
/*
/* Revision 1.34  2000/12/15 23:22:08  smulloni
/* added word wrap to text editor.
/*
/* Revision 1.33  2000/12/14 06:36:26  smulloni
/* changes to search and replace in text editor.
/*
/* Revision 1.32  2000/12/08 22:25:06  smulloni
/* added non-incremental search, and forward and reverse regex search, using
/* the org.apache.oro regex package.
/*
/* Revision 1.31  2000/12/07 00:01:34  smulloni
/* adding an additional editor, still hard-coded into the DAVEditorFactory.
/*
/* Revision 1.30  2000/12/04 23:51:16  smulloni
/* added ImageViewer; fixed word in SimpleTextEditor
/*
/* Revision 1.29  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.28  2000/12/01 16:25:53  smullyan
/* improvements to look and feel; fixed NPE in DAVFile; new actions for text
/* editor
/*
/* Revision 1.27  2000/11/29 23:16:04  smullyan
/* adding first rough cut of search capability to the text editor.  View
/* is being updated to allow components to be docked into the status bar.
/*
/* Revision 1.26  2000/11/28 00:01:38  smullyan
/* added a status bar/minibuffer, with a location field showing the current line and
/* column number (for the SimpleTextEditor and kin only).
/*
/* Revision 1.25  2000/11/20 23:30:21  smullyan
/* more editor integration work.
/*
/* Revision 1.24  2000/11/16 20:45:18  smullyan
/* the start of editor integration.
/*
/* Revision 1.23  2000/11/15 20:17:03  smullyan
/* added a Buffer interface, which is a wrapper around a displayable component.
/*
/* Revision 1.22  2000/11/13 23:28:31  smullyan
/* first pass at a gui for proppatch, added to the propertiese dialog.  Highly
/* problematic still, needs substantial work.
/*
/* Revision 1.21  2000/11/10 22:40:07  smullyan
/* added icon to table for resource type; fixes to copy and move; disabling of
/* menu items that are inappropriate.
/*
/* Revision 1.20  2000/11/09 23:34:59  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
