/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui;

import javax.swing.Icon;
import javax.swing.JTable;
import javax.swing.UIManager;
import org.skunk.swing.IconCellRenderer;

public class ResourceTypeRenderer extends IconCellRenderer
{
    private Icon folderIcon;

    public ResourceTypeRenderer()
    {
	super();
	folderIcon=ResourceManager.getImageIcon(ResourceManager.FOLDER_ICON, null);
	//folderIcon=UIManager.getIcon("FileView.directoryIcon");
    }

    public Icon getIcon(JTable table, Object value,
			     boolean isSelected, 
			     boolean hasFocus,
			     int row, 
			     int column)
    {
	return (value!= null && value instanceof Boolean && ((Boolean)value).booleanValue())
	    ? folderIcon
	    : null;
    }
}

/* $Log: ResourceTypeRenderer.java,v $
/* Revision 1.5  2000/12/19 22:36:05  smulloni
/* adjustments to preamble.
/*
/* Revision 1.4  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.3  2000/12/01 16:25:53  smullyan
/* improvements to look and feel; fixed NPE in DAVFile; new actions for text
/* editor
/*
/* Revision 1.2  2000/11/14 23:16:02  smullyan
/* modified so as to use the default folder icon from UIManager.
/*
/* Revision 1.1  2000/11/10 22:40:43  smullyan
/* new table cell renderer for ResourceType
/* */
