/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.action;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.skunk.config.Configurator;
import org.skunk.dav.client.gui.NetworkCustomizer;
import org.skunk.dav.client.gui.PreferencesCustomizer;
import org.skunk.dav.client.gui.PreferencesPanel;
import org.skunk.dav.client.gui.ResourceManager;
import org.skunk.dav.client.gui.TableViewCustomizer;
import org.skunk.dav.client.gui.TextEditorCustomizer;

public class PreferencesAction extends AbstractAction
{
    PreferencesPanel pp;
    public PreferencesAction()
    {
	super();
	pp=new PreferencesPanel();
	PreferencesCustomizer pc;
	String title;

	title=ResourceManager.getMessage(ResourceManager.NETWORK_CUSTOMIZER_TITLE);
	pc=new NetworkCustomizer(title, Configurator.getConfigurator());
	pp.addPreferencesCustomizer(pc);

	title=ResourceManager.getMessage(ResourceManager.TABLE_VIEW_CUSTOMIZER_TITLE);
	pc=new TableViewCustomizer(title, Configurator.getConfigurator());
	pp.addPreferencesCustomizer(pc);

	title=ResourceManager.getMessage(ResourceManager.TEXT_EDITOR_CUSTOMIZER_TITLE);
	pc=new TextEditorCustomizer(title, Configurator.getConfigurator());
	pp.addPreferencesCustomizer(pc);
    }
	
    public void actionPerformed(ActionEvent ae)
    {
	pp.showDialog();
    }
}

/* $Log: PreferencesAction.java,v $
/* Revision 1.7  2001/02/06 22:13:40  smulloni
/* first more-or-less working version of syntax highlighting, with customization.
/*
/* Revision 1.6  2001/02/02 23:30:33  smulloni
/* adding customization features to the text editor.
/*
/* Revision 1.5  2001/01/23 20:50:09  smulloni
/* added configurable socket timeout
/*
/* Revision 1.4  2000/12/19 22:36:05  smulloni
/* adjustments to preamble.
/*
/* Revision 1.3  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.2  2000/11/09 23:35:04  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
