/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.action;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.skunk.dav.client.gui.Buffer;
import org.skunk.dav.client.gui.ExplorerApp;
import org.skunk.dav.client.gui.editor.DAVEditor;
import org.skunk.trace.Debug;

public class SaveAction extends AbstractAction
{
    private DAVEditor editor;

    public SaveAction(DAVEditor editor)
    {
	this.editor=editor;
    }

    public SaveAction()
    {
	this(null);
    }

    private DAVEditor getLocalEditor()
    {
	DAVEditor localEditor=null;
	if (editor!=null)
	    localEditor=editor;
	else
	{
	    Buffer b=ExplorerApp.getAppContext().getCurrentView().getFocussedBuffer();
	    if (b instanceof DAVEditor)
		localEditor=(DAVEditor) b;
	}
	return localEditor;
    }

    protected void executeSave(DAVEditor editor)
    {
	editor.save();
    }


    public void actionPerformed(ActionEvent ae)
    {
	DAVEditor localEditor=getLocalEditor();
	if (localEditor!=null)
	{
		executeSave(localEditor);
	}
	else Debug.trace(this, Debug.DP2, "editor is null for save");
    }
}
