/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.editor;

import java.awt.Color;
import java.awt.Font;
import java.awt.Insets;

/**
 * interface implemented by SimpleTextEditor for configuration.
 */
public interface ConfigurableEditor
{
    Color DEFAULT_CARET_COLOR=new Color(255, 51, 51);
    String BACKGROUND_PROPERTY="background";
    String FOREGROUND_PROPERTY="foreground";
    String MARGIN_PROPERTY="margin";
    String FONT_PROPERTY="font";
    String CARET_COLOR_PROPERTY="caretColor";
    String TAB_SIZE_PROPERTY="tabSize";
    int DEFAULT_TAB_SIZE=8;

    Insets getMargin();

    void setMargin(Insets margin);

    Color getBackground();
  
    void setBackground(Color background);

    Color getForeground();
  
    void setForeground(Color foreground);
  
    Color getCaretColor();
 
    void setCaretColor(Color caretColor);

    void setFont(Font defaultFont);

    int getTabSize();

    void setTabSize(int tabSize);

}
