/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.editor;

import java.util.EventObject;

public class EditEvent extends EventObject
{
    public static final int SAVE=0;
    public static final int CLOSE=1;
    public static final int SAVE_AS=2;
    public static final int DIRTY=3;
    public static final int NOT_DIRTY=4;

    private int editCode;
    
    public EditEvent(DAVEditor editor, int editCode)
    {
	super(editor);
	this.editCode=editCode;	
    }

    public int getEditCode()
    {
	return this.editCode;
    }
}

/* $Log: EditEvent.java,v $
/* Revision 1.5  2000/12/19 22:36:05  smulloni
/* adjustments to preamble.
/*
/* Revision 1.4  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.3  2000/11/20 23:30:24  smullyan
/* more editor integration work.
/*
/* Revision 1.2  2000/11/17 20:25:07  smullyan
/* new SaveAction; a StateMonitor being added to handle application state.
/*
/* Revision 1.1  2000/11/14 23:14:39  smullyan
/* first cut at editing framework
/* */
