/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.editor;

import java.awt.event.ActionListener;
import javax.swing.JComponent;

public interface ISearchPanel
{
    /**
     * literal search mode
     */
    int LITERAL_MODE=0;

    /**
     * case-insensitive search mode
     */
    int CASE_MODE=1;

    /**
     * regular expression search mode
     */
    int REGEXP_MODE=2;

    String END_SEARCH="end_search";

    String SEARCH_FROM_CARET="search_from_caret";

    String SEARCH_FROM_SELECTION="search_from_selection";

    /**
     * indicator that the search should be resumed from the start or end, 
     * depending on whether the search is reversed or not
     */
    String SEARCH_FROM_START_OR_END="search_from_start_or_end"; 

    String REPLACE_NEXT="replace_next";
    
    String REPLACE_ALL="replace_all";

    String END_REPLACE="end_replace";

    JComponent getComponent();
	
    boolean isReverse();

    boolean isIncremental();

    boolean isWrapped(); 
 
    int getSearchMode();

    String getSearchText();

    String getReplaceText();

    void addActionListener(ActionListener listener);

    void removeActionListener(ActionListener listener);

    void focus();

    void fireActionEvent(String command);
}
