/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.editor;

import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Iterator;
import javax.swing.AbstractButton;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.ButtonModel;
import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.JRadioButton;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import org.skunk.dav.client.gui.ResourceManager;
import org.skunk.trace.Debug;

/**
 * a panel for performing searches
 */
public class IncrementalSearchPanel extends AbstractSearchPanel
{
    public IncrementalSearchPanel()
    {
	super();
    }

    protected void initComponents()
    {
	//obtain or create initialized widgets
	JLabel findLabel=new JLabel(ResourceManager.getMessage(ResourceManager.FIND_PROMPT));
	createEntryField();
	createReverseCheckBox();
	createIncrementalCheckBox();
	createSearchModeButtonGroup();

	//add widgets to panel
	this.setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
	this.add(findLabel);
	this.add(entryField);
	this.add(Box.createHorizontalStrut(5));
	this.add(reverseButton);
	this.add(literalButton);
	this.add(caseButton);
	this.add(regexpButton);
	this.add(incrementalButton);
	this.add(Box.createHorizontalStrut(40));
    }
}
