/*
 *  Copyright (c) 2000, Jacob Smullyan
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package org.skunk.dav.client.gui.editor.action;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JCheckBoxMenuItem;
import org.skunk.dav.client.gui.Buffer;
import org.skunk.dav.client.gui.ExplorerApp;
import org.skunk.dav.client.gui.editor.SimpleTextEditor;

public class SyntaxHighlightAction extends AbstractAction
{
    public void actionPerformed(ActionEvent ae)
    {
	Buffer b=ExplorerApp.getAppContext().getCurrentView().getFocussedBuffer();
	if (b!=null && b instanceof SimpleTextEditor)
	{
	    SimpleTextEditor editor=(SimpleTextEditor)b;
	    Object src=ae.getSource();
	    if (src instanceof JCheckBoxMenuItem)
	    {
		boolean tokenize=((JCheckBoxMenuItem)src).isSelected();
		editor.setTokenizing(tokenize);
		if (tokenize) editor.getSyntaxDocument().retokenizeAll();
	    }
	    editor.getComponent().repaint();
	}	
    }
}

/* $Log: SyntaxHighlightAction.java,v $
/* Revision 1.3  2001/02/08 20:23:43  smulloni
/* added a python mode
/* */
