/*
 *  Copyright (c) 2000, Jacob Smullyan.
 *
 *  This is part of SkunkDAV, a WebDAV client.  See http://skunkdav.sourceforge.net/ 
 *  for the latest version.
 * 
 *  SkunkDAV is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 * 
 *  SkunkDAV  is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with SkunkDAV; see the file COPYING.  If not, write to the Free
 *  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
*/


package org.skunk.dav.client.method;

import org.skunk.dav.client.AbstractWriteDAVMethod;
import org.skunk.dav.client.DAVMethodName;

public class MkcolMethod extends AbstractWriteDAVMethod
{
    
    public MkcolMethod(String url)
    {
	super(url);
    }
    
    public DAVMethodName getRequestMethodName()
    {
	return DAVMethodName.MKCOL;
    }
}

/* $Log: MkcolMethod.java,v $
/* Revision 1.8  2001/07/17 04:41:32  smulloni
/* integrated IfHeader more closely into method package; added lock test.
/*
/* Revision 1.7  2001/07/15 18:16:37  smulloni
/* fixed some copyright notices.
/*
/* Revision 1.6  2000/12/03 23:53:26  smulloni
/* added license and copyright preamble to java files.
/*
/* Revision 1.5  2000/11/09 23:35:07  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
