package org.skunk.swing;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Toolkit;
import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JWindow;

/**
 * a simple splash screen that displays an image with a black border.
 */
public class SplashScreen extends JWindow
{
    /**
     * constructs the splash screen.
     * @param ii the image icon to display.
     */
    public SplashScreen(ImageIcon ii)
    {
	super();
	setContentPane(new ScreenPanel(ii));
	pack();
	center();
    }

    private void center()
    {
	Dimension size=getContentPane().getPreferredSize();
	Dimension screen=Toolkit.getDefaultToolkit().getScreenSize();
	int x=(screen.width-size.width)/2;
	int y=(screen.height-size.height)/2;
	setBounds(x, y, size.width, size.height);
    }

    private class ScreenPanel extends JPanel
    {
	private ImageIcon ii;

	public ScreenPanel(ImageIcon ii)
	{
	    super();
	    this.setLayout(new BorderLayout());
	    this.ii=ii;
	    init();
	}

	private void init()
	{
	    JLabel label=new JLabel(ii);
	    this.add(label, BorderLayout.CENTER);
	    this.setBorder(BorderFactory.createLineBorder(Color.black, 5));
	}
    }
}
