package org.skunk.swing.text;

import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;

/**
 * a document for text fields which enables validation by an EntryFilter.
 */
public class EntryDocument extends PlainDocument
{
    private EntryFilter filter;

    /**
     * constructs an EntryDocument with the given filter
     * @param filter the filter
     */
    public EntryDocument(EntryFilter filter)
    {
	super();
	this.filter=filter;
    }

    /**
     * overridden to prevent insertion if the filter does not accept it.
     */
    public void insertString(int offs,
			     String str,
			     AttributeSet a)
	throws BadLocationException
    {
	String wholeString=getText(0, getLength());
	if (filter.accepts(offs, str, a, wholeString))
	{
	    super.insertString(offs, str, a);
	}
    }

    
}



/* $Log: EntryDocument.java,v $
/* Revision 1.3  2001/01/04 06:02:49  smulloni
/* added more javadoc documentation.
/*
/* Revision 1.2  2000/11/09 23:35:13  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
