package org.skunk.swing.text;

import javax.swing.text.AttributeSet;

/**
 * a filter for validation of entry fields.
 */				
public interface EntryFilter
{
    /**
     * should return whether the filter accepts the insertion of the given str into the document text.
     * @param offs the offset into the document
     * @param str the string being inserted
     * @param a the attributes of the insert
     * @param wholeString the whole text of the document
     */
    boolean accepts(int offs, String str, AttributeSet a, String wholeString);
}

/* $Log: EntryFilter.java,v $
/* Revision 1.4  2001/01/04 06:02:49  smulloni
/* added more javadoc documentation.
/*
/* Revision 1.3  2000/12/27 22:05:09  smulloni
/* work on syntax highlighting.
/*
/* Revision 1.2  2000/11/09 23:35:13  smullyan
/* log added to every Java file, with the help of python.  Lock stealing
/* implemented, and treatment of locks made more robust.
/* */
