
/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package org.skunk.util.io;

import java.io.*;

/**
 *  this is a blatant ripoff of E.R.Harold's PrintableOutputStream,
 *  from his OReilly Java IO book.
 */
public class AsciiOutputStream extends FilterOutputStream
{

    public AsciiOutputStream(OutputStream out)
    {
        super(out);
    }

    public void write(int b) throws IOException
    {
        //permit CR, LF, and tab; otherwise only printing ASCII characters
        if ((b == 10 || b == 13 || b == 9)
           || (b >= 32 && b <= 126))
           out.write(b);
        else out.write('?');
    }

    public void write(byte[] data, int offset, int length) throws IOException
    {
        for (int i=offset;i<offset+length;i++)
            this.write(data[i]);
    }

    public static void copy(InputStream in, OutputStream out)
           throws IOException
    {
        synchronized (in)
        {
            synchronized (out)
            {
                byte[] buffer = new byte[1024];
                while (true)
                {
                    int bytesRead=in.read(buffer);
                    if (bytesRead==-1) break;
                    out.write(buffer, 0, bytesRead);
                }
            }
        }
    }


    public static void main(String[] args) throws IOException
    {
        if (args.length != 1)
        {
            System.out.println("please supply a path to a binary file");
            System.exit(1);
        }
        String filename=args[0];
        InputStream in=new BufferedInputStream(new FileInputStream(filename));
        OutputStream out=new AsciiOutputStream(System.out);
        copy(in, out);
    }
}